package com.zt.plat.module.base.dal.mysql.tmpltp;

import java.util.*;

import com.zt.plat.framework.common.pojo.PageResult;
import com.zt.plat.framework.mybatis.core.query.LambdaQueryWrapperX;
import com.zt.plat.framework.mybatis.core.mapper.BaseMapperX;

import com.zt.plat.module.base.dal.dataobject.tmpltp.TmplInscDatBsnDO;
import org.apache.ibatis.annotations.Mapper;
import com.zt.plat.module.base.controller.admin.templtp.vo.*;

/**
 * 业务实例字段值 Mapper
 *
 * @author 后台管理-1
 */
@Mapper
public interface TmplInscDatBsnMapper extends BaseMapperX<TmplInscDatBsnDO> {

    default PageResult<TmplInscDatBsnDO> selectPage(TmplInscDatBsnPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<TmplInscDatBsnDO>()
                .eqIfPresent(TmplInscDatBsnDO::getBsnId, reqVO.getBsnId())
                .eqIfPresent(TmplInscDatBsnDO::getInscFldId, reqVO.getInscFldId())
                .eqIfPresent(TmplInscDatBsnDO::getFldVal, reqVO.getFldVal())
                .betweenIfPresent(TmplInscDatBsnDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(TmplInscDatBsnDO::getId));
    }

}
